{% extends "base.html.twig" %}
{% trans_default_domain 'FOSUserBundle' %}
{% block body %}
{% include "_header.html.twig" %}
<div class="main-container">
    <div class="container">
        <div class="row">
<div class="col-sm-5 login-box">
    <div class="panel panel-default">
        <div class="panel-intro text-center">
            <h2 class="logo-title">

                <center><span class="logo-icon"><i><img src="{{ asset('frontassets/images/logo.png') }}" class="img-responsive" width="200" alt="logo"></i> </span></center>

            </h2>
        </div>
        <div class="panel-body">
            <form action="{{ path('fos_user_resetting_send_email') }}" method="POST" class="fos_user_resetting_request" id="myform" novalidate="novalidate">
            <div class="form-group">

                    <label for="username"  class="control-label">{{ 'resetting.request.username'|trans }}</label>
                    <div class="input-icon"><i class="icon-user fa"></i>
                        <input type="text" id="sender-email" name="username" required="required" class="form-control email" />

                    </div>
                <div id="error"></div>
                </div>
                <div class="form-group">
                    <button type="submit" id="form-btn-submit" class="btn btn-primary btn-lg btn-block">{{ 'resetting.request.submit'|trans }}
                    </button>
                </div>
            </form>
        </div>
        <div class="panel-footer">
            <p class="text-center "><a href="{{ path('fos_user_security_login') }}"> connexion  </a></p>
            <div style=" clear:both"></div>
        </div>
    </div>
    <div class="login-box-btm text-center">
        <p> Vous n'êtes pas encore inscris ? <br>
            <a href="{{ path('fos_user_registration_register') }}"><strong>S'inscrire !</strong> </a></p>
    </div>
</div>
</div>
</div>
</div>
    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}
    <script>
        function isEmail(email) {
            var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            return regex.test(email);
        }
        $("#myform").submit(function () {
            email= $("#sender-email").val()

            if(! isEmail(email) || email == ""){
                $("#error").addClass("alert alert-danger alert").append("Entrez votre addresse email ou username !")
                console.log("alert alert-danger alert")

            }
        })
        // just for the demos, avoids form submit
        jQuery.validator.setDefaults({
            debug: true,
            success: "valid"
        });
        $( "#my" ).validate({
            rules: {
                field: {
                    required: true,
                    email: true
                }
            }
        });

        jQuery.extend(jQuery.validator.messages, {
            required: "Vous devez indiquer votre email !",
            email: "Saisissez une addresse email valide s'il vous plait !",
        });
    </script>
{% endblock %}